/*
 *  This file is a part of TiledArray.
 *  Copyright (C) 2013  Virginia Tech
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef TILEDARRAY_CONFIG_H__INCLUDED
#define TILEDARRAY_CONFIG_H__INCLUDED

#include <madness/madness_config.h>

/* Defines a string with the Git SHA1 revision hash tag of TiledArray */
#define TILEDARRAY_REVISION "0.4.4-alpha"

/* Defines the default error checking behavior. none = 0, throw = 1, assert = 2 */
#define TA_DEFAULT_ERROR 1

/* define if compiler supports long double, the value is sizeof(long double) */
#define TILEDARRAY_HAS_LONG_DOUBLE 1

/* define if compiler supports long long, the value is sizeof(long long) */
#define TILEDARRAY_HAS_LONG_LONG 1

/* define if compiler supports static_assert. */
/* #undef TILEDARRAY_HAVE_STATIC_ASSERT */

/* define if compiler supports variadic templates. */
/* #undef TILEDARRAY_HAVE_VARIADIC_TEMPLATES */

/* Define the default alignment for arrays required by vector operations. */
#define TILEDARRAY_ALIGNMENT 

/* Define the size of the CPU L1 cache lines. */
#define TILEDARRAY_CACHELINE_SIZE 64

/* Define if MADNESS configured with Elemental support */
/* #undef TILEDARRAY_HAS_ELEMENTAL */

#endif // TILEDARRAY_CONFIG_H__INCLUDED
