/*
 *  This file is a part of TiledArray.
 *  Copyright (C) 2014  Virginia Tech
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Justus Calvin
 *  Department of Chemistry, Virginia Tech
 *
 *  zero_tensor.h
 *  Apr 23, 2014
 *
 */

#ifndef TILEDARRAY_ZERO_TENSOR_H__INCLUDED
#define TILEDARRAY_ZERO_TENSOR_H__INCLUDED

namespace TiledArray {

  /// Place-holder object for a zero tensor.
  template <typename T>
  struct ZeroTensor {
    typedef T value_type;
  }; // struct ZeroTensor

} // namespace TiledArray

#endif // TILEDARRAY_ZERO_TENSOR_H__INCLUDED
