# - CMAKE Config file for the TiledArray package
# The following variables are defined:
#  TiledArray_INCLUDE_DIRS         - The TiledArray include directory
#  TiledArray_LIBRARIES            - The TiledArray libraries and their dependencies
#  TiledArray_COMPILE_FLAGS        - Compile flags required to build with TiledArray
#  TiledArray_LINKER_FLAGS         - Linker flags required to link with TiledArray
#  TiledArray_VERSION              - TiledArray version number

# Compute paths
get_filename_component(TiledArray_CONFIG_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(TiledArray_DIR "${TiledArray_CONFIG_DIR}/../../.." ABSOLUTE)
set(TiledArray_INCLUDE_DIRS ${TiledArray_DIR}/include)

# Set package version
set(TiledArray_VERSION "0.4.4-alpha")

# Set compile and link flags, and remove optimization and debug flags
set(TiledArray_COMPILE_FLAGS -g -O2 -fdebug-prefix-map=/build/tiledarray-8mhYTD/tiledarray-0.4.4=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2  -DOMPI_SKIP_MPICXX=1 -DMPICH_SKIP_MPICXX=1 -Wdate-time -D_FORTIFY_SOURCE=2 -DMPICH_SKIP_MPICXX=1 -DOMPI_SKIP_MPICXX=1 -fstack-protector-strong -Wformat -Werror=format-security -std=c++11 -Wall -Wno-strict-aliasing -Wno-deprecated -Wno-unused-local-typedefs)
set(TiledArray_LINKER_FLAGS "-Wl,-z,relro  -Wl,-rpath  -Wl,/usr/lib/openmpi/lib  -Wl,--enable-new-dtags -fstack-protector-strong -Wformat -Werror=format-security -std=c++11 -Wall -Wno-strict-aliasing -Wno-deprecated -Wno-unused-local-typedefs -Wl,-z,relro  -llapack -lblas")
list(APPEND TiledArray_INCLUDE_DIRS /usr/lib/openmpi/include/openmpi/opal/mca/event/libevent2021/libevent;/usr/lib/openmpi/include/openmpi/opal/mca/event/libevent2021/libevent/include;/usr/lib/openmpi/include;/usr/lib/openmpi/include/openmpi;/usr/include/eigen3;/usr/include)
set(TiledArray_LIBRARIES /usr/lib/mipsel-linux-gnu/libMADlinalg.a;/usr/lib/mipsel-linux-gnu/libMADtensor.a;/usr/lib/mipsel-linux-gnu/libMADmisc.a;/usr/lib/mipsel-linux-gnu/libMADworld.a;/usr/lib/liblapack.so;/usr/lib/libblas.so;/usr/lib/libblas.so;/usr/lib/openmpi/lib/libmpi.so;-lpthread)

